;;;************************************************************
;;; Filename: FirstApplication.LSP
;;; Author:   David M. Stein
;;; Date:     3/2/02
;;; Purpose:  Demonstrates use of Make Application Wizard tools
;;;           in Visual LISP for compiling separate namespace
;;;           VLX applications with DCL files included.
;;;************************************************************

(defun C:FIRSTAPP
	( / dch $loc)
	(setq dch (load_dialog "firstapplication"))
	(setq $loc '(200 200))
	(if (not (new_dialog "main" dch "" $loc))
		(vl-exit-with-error "\nFailed to load DCL form...")
	)
	(action_tile "accept" "(done_dialog 1)")
	(start_dialog)
	(unload_dialog dch)
	(princ)
)
(princ)