;;;************************************************************
;;; Filename: ShowLayers.LSP
;;; Author:   David M. Stein
;;; Date:     April 2002
;;; Purpose:  Demonstrates use of ActiveX access to AutoCAD
;;;           entities through Visual LISP
;;;************************************************************

(vl-load-com)

(defun C:SHOWLAYER ( / ent lay)
  (if (setq ent (entsel "\nSelect object to view layer name: "))
    (alert
      (strcat
        "Layer name: "
        (vla-get-Layer (vlax-ename->vla-object (car ent)))
      )
    )
  )
  (princ)
)
